Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Interface QAbstractInputContextFactoryInterface

All Superinterfaces:
  QAbstractFactoryInterface, QtJambiInterface

All Known Implementing Classes:
  QAbstractInputContextFactory, QInputContextPlugin

    public interface QAbstractInputContextFactoryInterface

extends QtJambiInterface, QAbstractFactoryInterface

Method Summary
`long` | `__qt_cast_to_QAbstractInputContextFactory(long ptr)` This method is internal to Qt Jambi.
`QInputContext` | `create(java.lang.String key)` Creates and returns a `QInputContext` object for the input context specified by `key` with the given `parent`.
`java.lang.String` | `description(java.lang.String key)` Returns an internationalized brief description of the `QInputContext` object specified by `key`.
`java.lang.String` | `displayName(java.lang.String key)` Returns a user friendly internationalized name of the `QInputContext` object specified by `key`.
`java.util.List<java.lang.String>` | `keys()` Returns the list of keys this factory can create input contexts for.
`java.util.List<java.lang.String>` | `languages(java.lang.String key)` Returns the languages supported by the `QInputContext` object specified by `key`.

Methods inherited from interface com.trolltech.qt.core.QAbstractFactoryInterface
`__qt_cast_to_QAbstractFactory`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Method Detail

### create

    QInputContext create(java.lang.String key)

  Creates and returns a `QInputContext` object for the input context specified by `key` with the given `parent`. Keys are case sensitive.

See also:
  `keys()`.

### description

    java.lang.String description(java.lang.String key)

  Returns an internationalized brief description of the `QInputContext` object specified by `key`. You can, for example, use this description in a user interface.

See also:
  `keys()`, and `displayName()`.

### displayName

    java.lang.String displayName(java.lang.String key)

  Returns a user friendly internationalized name of the `QInputContext` object specified by `key`. You can, for example, use this name in a menu.

See also:
  `keys()`, and `QInputContext::identifierName()`.

### keys

    java.util.List<java.lang.String> keys()

  Returns the list of keys this factory can create input contexts for.

  The keys are the names used, for example, to identify and specify input methods for the input method switching mechanism. The names have to be consistent with `QInputContext::identifierName()`, and may only contain ASCII characters.

See also:
  `create()`, `displayName()`, and `QInputContext::identifierName()`.

  Specified by:
    `keys` in interface `QAbstractFactoryInterface`

### languages

    java.util.List<java.lang.String> languages(java.lang.String key)

  Returns the languages supported by the `QInputContext` object specified by `key`.

  The languages are expressed as language code (e.g. "`zh_CN`", "`zh_TW`", "`zh_HK`", "ja", "ko", ...). An input context that supports multiple languages can return all supported languages as a QStringList. The name has to be consistent with `QInputContext::language()`.

  This information may be used to optimize a user interface.

See also:
  `keys()`, `QInputContext::language()`, and `QLocale`.

### __qt_cast_to_QAbstractInputContextFactory

    long __qt_cast_to_QAbstractInputContextFactory(long ptr)

  This method is internal to Qt Jambi.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

s(java.lang.String)">`zh_HK`", "ja", "ko", ...). An input context that supports multiple languages can return all supported languages as a QStringList. The name has to be consistent with `QInputContext::language()`.

This information may be used to optimize a user interface.

See also:
  `keys()`, `QInputContext::language()`, and `QLocale`.

### __qt_cast_to_QAbstractInputContextFactory

    long __qt_cast_to_QAbstractInputContextFactory(long ptr)

  This method is internal to Qt Jambi.